﻿@Imports SyncfusionMvcApplication18.SyncfusionMvcApplication18
 
@ModelType IEnumerable(Of SyncfusionMvcApplication18.SyncfusionMvcApplication18.Controllers.OrderView)
@Code
    ViewData("Title") = "Grid"
    Layout = "~/Views/Shared/_Layout.vbhtml"
End Code
<h2>GridFeatures</h2>
<div id="ControlRegion">
    @Code
        Dim gridbuilder = Html.EJ().Grid(Of Object)("SampleGrid")
        gridbuilder.Datasource(Model)
        gridbuilder.AllowPaging()    'Paging Enabled
        gridbuilder.AllowGrouping()
        gridbuilder.GroupSettings(Sub(group)
                                          group.GroupedColumns(Sub(col) col.Add("ShipCountry"))
                                          group.GroupedColumns(Sub(col) col.Add("EmployeeID"))
                                  End Sub)
        gridbuilder.ShowSummary().
        SummaryRow(Sub(row)
                           row.Title("Sum").SummaryColumns(Sub(col) col.SummaryType(SummaryType.Sum).Format("{0:C}").DisplayColumn("Freight").DataMember("Freight").Add()).SummaryColumns(Sub(col) col.SummaryType(SummaryType.Sum).DisplayColumn("EmployeeID").DataMember("EmployeeID").Add()).Add()
                           row.Title("Average").SummaryColumns(Sub(col) col.SummaryType(SummaryType.Average).Format("{0:C}").DisplayColumn("Freight").DataMember("Freight").Add()).Add()
                   End Sub)
        gridbuilder.Columns(
            Sub(col)
                col.Field("OrderID").HeaderText("Order ID").IsPrimaryKey(True).Width(75).Add()
                col.Field("EmployeeID").HeaderText("Employee ID").Width(85).Add()
                col.Field("ShipCountry").HeaderText("Ship Country").Width(95).Add()
                col.Field("OrderDate").HeaderText("Order Date").Format("{0:dd/MM/yyyy}").Width(75).Add()
                col.Field("Freight").HeaderText("Freight").TextAlign(Syncfusion.JavaScript.TextAlign.Right).Width(75).Format("{0:C}").Add()
               End Sub)
        gridbuilder.Render()
    End Code
</div>
